## org.eclipse.emf.cdo.ui.defs
Interface CDOEditorDef

All Superinterfaces:
  org.eclipse.net4j.util.defs.Def, EditorDef, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CDOEditorDefImpl

    public interface CDOEditorDef

extends EditorDef

A representation of the model object 'CDO Editor Def'.

The following features are supported:

- `Cdo View`
- `Resource Path`

See Also:
  `CDOUIDefsPackage.getCDOEditorDef()`

Method Summary
`CDOViewDef` `getCdoView()` Returns the value of the 'Cdo View' reference.
`java.lang.String` `getResourcePath()` Returns the value of the 'Resource Path' attribute.
`void` `setCdoView(CDOViewDef value)` Sets the value of the '`Cdo View`' reference
`void` `setResourcePath(java.lang.String value)` Sets the value of the '`Resource Path`' attribute.

Methods inherited from interface org.eclipse.emf.cdo.ui.defs.EditorDef
`getEditorID, setEditorID`

Methods inherited from interface org.eclipse.net4j.util.defs.Def
`getInstance, isTouched, unsetInstance`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCdoView

    CDOViewDef getCdoView()

  Returns the value of the 'Cdo View' reference.

  If the meaning of the 'Cdo View' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Cdo View' reference.
  See Also:
    `setCdoView(CDOViewDef)`, `CDOUIDefsPackage.getCDOEditorDef_CdoView()`

### setCdoView

    void setCdoView(CDOViewDef value)

  Sets the value of the '`Cdo View`' reference.

  Parameters:
    `value` - the new value of the 'Cdo View' reference.
  See Also:
    `getCdoView()`

### getResourcePath

    java.lang.String getResourcePath()

  Returns the value of the 'Resource Path' attribute.

  If the meaning of the 'Resource Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Resource Path' attribute.
  See Also:
    `setResourcePath(String)`, `CDOUIDefsPackage.getCDOEditorDef_ResourcePath()`

### setResourcePath

    void setResourcePath(java.lang.String value)

  Sets the value of the '`Resource Path`' attribute.

  Parameters:
    `value` - the new value of the 'Resource Path' attribute.
  See Also:
    `getResourcePath()`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.